package com.tjk.entity;

/**
 * 列表页的数据，够显示用即可。
 */

public class ProductSampleEntity implements java.io.Serializable {

	// Fields
	private static final long serialVersionUID = 2543768764575333674L;
	private Integer id;
	private Integer productType;
	private String typeName;
	private String productName;
	private String productCode;
	private Integer productId;
	private String shorterName;
	private Integer companyId;
	private Integer duration;
	private String durationName;
	private Integer expectedProfit;
	private Integer status;
	private String statusName;
	private String brightPoint;
	private float appointmentPercent; 
	private int maximumExpectedIssuance;
	


	// Constructors

	public int getMaximumExpectedIssuance() {
		return maximumExpectedIssuance;
	}

	public void setMaximumExpectedIssuance(int maximumExpectedIssuance) {
		this.maximumExpectedIssuance = maximumExpectedIssuance;
	}

	public String getBrightPoint() {
		return brightPoint;
	}

	public void setBrightPoint(String brightPoint) {
		this.brightPoint = brightPoint;
	}

	public float getAppointmentPercent() {
		return appointmentPercent;
	}

	public void setAppointmentPercent(float appointmentPercent) {
		this.appointmentPercent = appointmentPercent;
	}

	public String getStatusName() {
		return statusName;
	}

	public void setStatusName(String statusName) {
		this.statusName = statusName;
	}

	/** default constructor */
	public ProductSampleEntity() {
	}

	/** full constructor */
	public ProductSampleEntity(Integer productType, String productName,
			Integer companyId, String productCode, Integer productId, String shorterName,String statusName,String brightPoint) {
		this.productType = productType;
		this.productName = productName;
		this.productCode = productCode;
		this.productId = productId;
		this.shorterName = shorterName;
		this.statusName = statusName;
		this.brightPoint = brightPoint;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getProductType() {
		return this.productType;
	}

	public void setProductType(Integer productType) {
		this.productType = productType;
	}

	public String getProductName() {
		return this.productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}


	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public String getProductCode() {
		return this.productCode;
	}

	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public String getShorterName() {
		return this.shorterName;
	}

	public void setShorterName(String shorterName) {
		this.shorterName = shorterName;
	}

	public Integer getDuration() {
		return duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public String getDurationName() {
		return durationName;
	}

	public void setDurationName(String durationName) {
		this.durationName = durationName;
	}

	public Integer getExpectedProfit() {
		return expectedProfit;
	}

	public void setExpectedProfit(Integer expectedProfit) {
		this.expectedProfit = expectedProfit;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

}